import 'package:freezed_annotation/freezed_annotation.dart';

part 'data_extension_model.freezed.dart';
part 'data_extension_model.g.dart';

@freezed
class DataExtensionModel with _$DataExtensionModel {
  factory DataExtensionModel({
    @JsonKey(name: 'total_invoices') int? totalInvoices,
    @JsonKey(name: 'sum_amount') double? sumAmount,
    @JsonKey(name: 'filter_status') List<String>? filter_status,
  }) = _DataExtensionModel;

  factory DataExtensionModel.fromJson(Map<String, dynamic> json) =>
      _$DataExtensionModelFromJson(json);
}
